## sopel 6.5.0

=== requirements.txt ===
xmltodict
pytz
praw
pyenchant
pygeoip
requests>=2.0.0,<2.11.0

## sopel 6.1.1

=== debian/changelog ===
sopel (6.1.1-1) unstable; urgency=medium

  * new upstream release
  * completely rename package to sopel to follow upstream

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 08 Dec 2015 16:49:33 -0500

willie (5.5.1-1) unstable; urgency=low

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 09 Sep 2015 20:32:20 -0400

willie (5.5.0-1) unstable; urgency=medium

  * new upstream release
  * start rename to sopel, binaries still installed as willie for now,
    which will probably change upstream at some point

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 24 Aug 2015 15:01:22 -0400

willie (5.3.0-1) unstable; urgency=medium

  * fix init.d stop function so that it returns the proper value
    (Closes: #782564)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 20 May 2015 09:15:41 -0400

willie (5.2.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 18 Mar 2015 22:23:43 -0400

willie (5.0.0-1) unstable; urgency=medium

  * new upstream release
  * update watch file and gbp to follow new upstream tag naming
    convention
  * ship a (probably incomplete) database upgrade script, see
    NEWS.Debian for details

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 05 Feb 2015 19:27:17 -0500

willie (4.6.1-1) unstable; urgency=medium

  * new upstream release
  * use dh-systemd to enable willie properly under systemd instances on
    boot, install and upgrades

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 17 Dec 2014 21:46:34 -0500

willie (4.5.1-2) unstable; urgency=medium

  * switch to python3
  * remove comments
  * create the watchfile
  * remove hidden directory in dirs
  * remove README.source template
  * make git-dch work
  * remove geoip recommends: willie needs pygeoip, which is different
    from GeoIP, the C extension

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 09 Dec 2014 00:06:48 -0500

willie (4.5.1-1) unstable; urgency=low

  * Initial release (Closes: #771403)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 29 Nov 2014 17:49:27 -0500

=== debian/control ===
Source: sopel
Section: net
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 9)
             , python3 (>= 3.2)
             , python3-setuptools
             , dh-python
             , dh-systemd (>= 1.5)
XS-Python-Version: >= 3.2
Standards-Version: 3.9.6
Homepage: http://sopel.chat
Vcs-Git: git://anonscm.debian.org/collab-maint/sopel.git -b debian
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/sopel.git;a=summary

Package: sopel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
       , ${python3:Depends}
       , python3-praw
       , python3-xmltodict
       , python3-decorator (>= 3.4.2)
       , adduser
Provides: willie
Replaces: willie
Breaks: willie (<< 6.0~)
Recommends: python3-feedparser
          , python3-tz
          , python3-lxml
          , python3-enchant
Description: simple, lightweight, open source, easy-to-use IRC utility bot
 Sopel is a simple, lightweight, open source, easy-to-use IRC utility
 bot, written in Python. It's designed to be easy to use, easy to run,
 and easy to make new features for.
 .
 Sopel comes with a ton of ready-made features for you to use. It can
 leave notes for people, give you reminders, check RSS feeds, and much
 more.
 .
 Sopel also comes with a fully-documented and easy-to-use API, so you
 can write your own features. There's also an easy tutorial you can
 follow along with, to help you learn.
 .
 Developing for Sopel is a great way to familiarize yourself with
 Python. It's easy to start, but there's no limit to the cool things
 you can do with it.
 .
 Sopel was also known as Willie, Phenny or Jenni in previous
 incarnations.

Package: willie
Depends: sopel, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## sopel 6.3.0

=== debian/changelog ===
sopel (6.3.0-1) unstable; urgency=medium

  * new upstream release
  * remove sopel.service rename patch, merged upstream
  * added new requests dependency

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 15 Feb 2016 19:18:01 -0500

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
        , python3-praw
        , python3-xmltodict
        , python3-decorator (>= 3.4.2)
+       , python3-requests
        , adduser
 Provides: willie
 Replaces: willie

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=sopel
export PYBUILD_DESTDIR_python3=debian/sopel

# main packaging script based on dh7 syntax
%:
	dh $@ --with=python3,systemd --buildsystem=pybuild

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/sopel-irc/sopel/tags .*/archive/v?((?:\d+\.?)*)\.tar\.gz

## sopel 6.3.1

=== debian/changelog ===
sopel (6.3.1-1) unstable; urgency=medium

  * new upstream release
  * update standards version, no change
  * silence false positive in lintian, now litian clean

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 18 May 2016 17:00:44 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
              , dh-python
              , dh-systemd (>= 1.5)
 XS-Python-Version: >= 3.2
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://sopel.chat
 Vcs-Git: git://anonscm.debian.org/collab-maint/sopel.git -b debian
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/sopel.git;a=summary

## sopel 6.4.0

=== debian/changelog ===
sopel (6.4.0-1) unstable; urgency=medium

  * new upstream release
  * remove python3-decorator dependency again and replace by more accurate
    ipython recommends
  * move praw and xmltodict dependencies to recommends
  * remove willie binary package
  * explain how to deal with missing dependencies in README.Debian
  * try to run tests properly in build, failing

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 24 Sep 2016 09:34:38 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 9)
              , python3 (>= 3.2)
              , python3-setuptools
+             , python3-pytest
              , dh-python
              , dh-systemd (>= 1.5)
 XS-Python-Version: >= 3.2
@@ -17,9 +18,6 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
        , ${python3:Depends}
-       , python3-praw
-       , python3-xmltodict
-       , python3-decorator (>= 3.4.2)
        , python3-requests
        , adduser
 Provides: willie
@@ -29,6 +27,9 @@
           , python3-tz
           , python3-lxml
           , python3-enchant
+          , python3-praw
+          , python3-xmltodict
+          , python3-ipython
 Description: simple, lightweight, open source, easy-to-use IRC utility bot
  Sopel is a simple, lightweight, open source, easy-to-use IRC utility
  bot, written in Python. It's designed to be easy to use, easy to run,
@@ -48,11 +49,3 @@
  .
  Sopel was also known as Willie, Phenny or Jenni in previous
  incarnations.
-
-Package: willie
-Depends: sopel, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.

## sopel 6.5.0

=== debian/changelog ===
sopel (6.5.0-1) unstable; urgency=medium

  * new upstream release
  * add missing lsb-base dependency for init.d script

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 15 Dec 2016 08:57:55 -0500

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
        , ${python3:Depends}
        , python3-requests
        , adduser
+       , lsb-base (>= 3.0-6)
 Provides: willie
 Replaces: willie
 Breaks: willie (<< 6.0~)
@@ -29,7 +30,7 @@
           , python3-enchant
           , python3-praw
           , python3-xmltodict
-          , python3-ipython
+          , ipython3
 Description: simple, lightweight, open source, easy-to-use IRC utility bot
  Sopel is a simple, lightweight, open source, easy-to-use IRC utility
  bot, written in Python. It's designed to be easy to use, easy to run,

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 # main packaging script based on dh7 syntax
 %:
 	dh $@ --with=python3,systemd --buildsystem=pybuild
+
+override_dh_auto_test:
+	true # dh_auto_test -- --test-pytest

## sopel 6.5.3

=== requirements.txt ===
xmltodict
pytz
praw<6.0.0
pyenchant
pygeoip
ipython<6.0; python_version < '3.3'
ipython>=6.0,<7.0; python_version >= '3.3'
requests>=2.0.0,<3.0.0

=== debian/changelog ===
sopel (6.5.3-1) unstable; urgency=medium

  * new upstream release
  * fix error in configuration sample (Closes: #851268)
  * remove patch about missing dependencies in jessie, we are beyond
    oldstable backports now
  * add patch to remove ipython support, which will soon be removed
    upstream, as it breaks trivial backporting to stretch

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 11 Apr 2018 18:51:57 -0400

sopel (6.5.1-2) unstable; urgency=medium

  * revert sysuser usage: it doesn't remove user in stable and not on
    purge in unstable. it was also misconfigured.

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 23 Mar 2018 11:22:07 -0400

sopel (6.5.1-1) unstable; urgency=medium

  * new upstream minor release
  * move to salsa
  * pygeoip now available in stretch
  * update standards versions, no changes
  * switch to creating users with sysuser

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 22 Mar 2018 09:55:54 -0400

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11~)
              , python3 (>= 3.2)
              , python3-setuptools
              , python3-pytest
              , dh-python
-             , dh-systemd (>= 1.5)
 XS-Python-Version: >= 3.2
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://sopel.chat
-Vcs-Git: git://anonscm.debian.org/collab-maint/sopel.git -b debian
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/sopel.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/sopel.git -b debian
+Vcs-Browser: https://salsa.debian.org/debian/sopel/
 
 Package: sopel
 Architecture: all

## sopel 6.6.0

=== requirements.txt ===
xmltodict
pytz
praw<6.0.0
pyenchant
geoip2
ipython<6.0; python_version < '3.3'
ipython>=6.0,<7.0; python_version >= '3.3'
requests>=2.0.0,<3.0.0
dnspython

=== debian/changelog ===
sopel (6.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Antoine Beaupré ]
  * new upstream release
  * update standards, no change
  * switch to debhelper-compat = 11

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Jan 2019 11:54:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 11)
              , python3 (>= 3.2)
              , python3-setuptools
              , python3-pytest
              , dh-python
-XS-Python-Version: >= 3.2
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://sopel.chat
 Vcs-Git: https://salsa.debian.org/debian/sopel.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/sopel/

## sopel 6.6.1

=== requirements.txt ===
xmltodict
pytz
praw<6.0.0
pyenchant; python_version < '3.7'
geoip2
ipython<6.0; python_version < '3.3'
ipython>=6.0,<7.0; python_version >= '3.3'
requests>=2.0.0,<3.0.0
dnspython

=== debian/changelog ===
sopel (6.6.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 27 Jan 2019 16:09:58 -0500

## sopel 6.6.2

=== debian/changelog ===
sopel (6.6.2-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 01 Feb 2019 10:11:52 -0500

## sopel 6.6.3

=== debian/changelog ===
sopel (6.6.3-2) unstable; urgency=medium

  * add missing dnspython depends (Closes: #922452)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 16 Feb 2019 11:01:48 -0500

sopel (6.6.3-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 15 Feb 2019 13:23:21 -0500

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
        , ${python3:Depends}
        , python3-requests
+       , python3-dnspython
        , adduser
        , lsb-base (>= 3.0-6)
 Provides: willie

## sopel 6.6.9

=== requirements.txt ===
xmltodict
pytz
praw<6.0.0
pyenchant; python_version < '3.7'
geoip2
ipython<6.0; python_version < '3.3'
ipython>=6.0,<7.0; python_version >= '3.3' and python_version < '3.5'
ipython>=7.0,<8.0; python_version >= '3.5'
requests>=2.0.0,<3.0.0
dnspython<2.0; python_version >= '2.7' and python_version < '3.0'
dnspython<1.16.0; python_version == '3.3'
dnspython<3.0; python_version >= '3.4'

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PhennyJenniWillieIRCBot.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PhennyJenniWillieIRCBot.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PhennyJenniWillieIRCBot"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PhennyJenniWillieIRCBot"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
sopel (6.6.9-1) unstable; urgency=medium

  * orphan package:

    I do not use Sopel anymore and therefore can't serve as a good
    maintainer. I also couldn't find a good reason to use this instead of
    more established codebase like Limnoria, which are seeing way more
    development and third-party packages.

    Limnoria is also well-maintained in Debian, so I am not sure sopel is
    worth inclusion in Debian in the first place anymore.
  * new upstream release (Closes: #927481)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 24 Oct 2019 09:52:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sopel
 Section: net
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 11)
              , python3 (>= 3.2)
              , python3-setuptools

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with=python3,systemd --buildsystem=pybuild
+	dh $@ --with=python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	true # dh_auto_test -- --test-pytest

## sopel modules.bucket-1.0.3

=== requirements.txt ===
pymysql
sopel>=6.0,<8
sqlalchemy

## sopel modules.github-0.2.0a15

=== requirements.txt ===
sopel>=6.0,<7
bottle

## sopel modules.github-0.4.5

=== requirements.txt ===
sopel>=7.0,<8
bottle~=0.12.0

## sopel modules.twitter-0.4.0

=== requirements.txt ===
sopel>=7,<8
oauth2<2.0

## sopel modules.twitter-1.0.1

=== requirements.txt ===
sopel-twitter

## sopel plugins.pingpong-1.0.2

=== requirements.txt ===
sopel>=7.0.5,<8
